Bug 19586 - iBCS doesn't function in RH7.0
iBCS doesn't function in RH7.0
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2000-10-23 02:05 EDT by Lee Howard
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-15 23:12:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lee Howard 2000-10-23 02:05:37 EDT
Trying to run SCO 3.2v4.2 binaries on RedHat Linux 7.0.  The presence of 
the kernel-ibcs rpm seems to indicate this intended functionality.  

[root@metroid games]# rpm -qa | egrep -i iBCS
[root@metroid games]# ls -l hangman
-rwx--x--x    1 gdm      ftp         11170 Feb 27  1991 hangman
[root@metroid games]# ./hangman
bash: ./hangman: cannot execute binary file
[root@metroid games]#

The result is identical for *any* binary in the system.

Lee Howard
Comment 1 Lee Howard 2000-10-23 14:08:24 EDT
This is a problem, too:

[root@metroid games]# /sbin/modprobe binfmt_coff
modprobe: Can't locate module binfmt_coff
[root@metroid games]#
Comment 2 giulioo 2001-04-22 14:53:38 EDT
This is maybe an obvious question, however, have you loaded the iBCS module?
Comment 3 Lee Howard 2001-04-22 17:36:50 EDT
Hi Giulio - we seem to bump into each other all over the place ;-)

If this is what you mean:

[root@metroid hylafax]# rpm -qa | grep -i "ibcs"
[root@metroid hylafax]# find / -name "binfmt_coff*"
find: /proc/6/fd: Permission denied
[root@metroid hylafax]#

then yes, the module is loaded, although I can't see it anywhere either.

Actually, AFAIK, iBCS was deprecated by Linux-ABI which is run by Christoph 
Hellwig (of Caldera - which assimilated SCO) at
and has a functioning patch for kernel 2.4.3 there.

I have discussed the issue above about SCO 3.2v4.2 binaries not working with 
him, and although he can use other peoples' SCO 3.2v4.2 binaries - he cannot 
use any of mine from this particular system (which work perfectly fine in 
SCO).  And that's bizarre.

According to him (from what I understood), however, "modprobe: Can't locate 
module binfmt_coff" indicates that RedHat's iBCS implementation is incomplete 
or incorrect.  I have to admit, though, that I haven't been extremely diligent 
in trying to root-out this particular problem - as it became readily apparent 
that I wasn't going to be able to migrate that SCO 3.2v4.2 system to Linux 
Comment 4 giulioo 2001-04-22 18:05:09 EDT
Didn't see it was you :-). I had a problem related to iBCS so I did a search 
before filing.

I meant
# modprobe iBCS

$ lsmod|grep iBCS
iBCS                   65948   0

Comment 5 Lee Howard 2001-04-22 18:23:48 EDT
That works fine, but I didn't have this module loaded before when testing that 
hangman binary.  Too bad I don't have that binary around to test with any more 
(3.2v4.2 didn't come with TCP/IP by default, so it's a bit difficult to get 
back via tape or floppy).  It wasn't loaded before, though.  Possibly RedHat 
changed the names of the module?  Maybe I'll hunt around for that binary 

Note You need to log in before you can comment on or make changes to this bug.